Package org.eclipse.birt.report.engine.api.script.instance

# Interface IDataItemInstance

All Superinterfaces:
  `IReportElementInstance`, `IReportItemInstance`

public interface IDataItemInstance extends IReportItemInstance

## Method Summary

Modifier and Type
Method
Description
`IActionInstance`
`createAction()`
Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance`
`getAction()`
Get the action instance.
`Object`
`getValue()`
`void`
`setAction(IActionInstance actionInstance)`
set the actionInstance
`void`
`setDisplayValue(Object value)`
set the display value of data item

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance

`getHelpText, getHyperlink, getName, setHelpText, setName`

## Method Details

### getValue

Object getValue()

### createAction

IActionInstance createAction()
Create a new action instance, witch can be bookmark, hyperlink or drillThrough. The default action instance type is NULL.

### getAction

IActionInstance getAction()
Get the action instance.

### setAction

void setAction(IActionInstance actionInstance)
set the actionInstance

Parameters:
  `actionInstance` -

### setDisplayValue

void setDisplayValue(Object value)
set the display value of data item

Parameters:
  `value` - value to display